
{ config, pkgs, inputs, ... }:

let
    nvidia-offload = pkgs.writeShellScriptBin "nvidia-offload" ''
    export __NV_PRIME_RENDER_OFFLOAD=1
    export __NV_PRIME_RENDER_OFFLOAD_PROVIDER=NVIDIA-G0
    export __GLX_VENDOR_LIBRARY_NAME=nvidia
    export __VK_LAYER_NV_optimus=NVIDIA_only
    exec "$@"
  '';
in
{
  imports =
    [
      ./shared-configuration.nix
      ./ritchie-hardware.nix
      ./filesystem.nix
    ];

  networking.hostName = "ritchie";

  users.users.foxsoft = {
    isNormalUser = true;
    extraGroups = [
      "tmux"
    ];
    openssh.authorizedKeys.keyFiles = [
      ../users/foxsoft/authorized_keys
    ];
  };
}
